Bug 104804 - Implement CSS parsing for CSS transitions unprefixed.
: Implement CSS parsing for CSS transitions unprefixed.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Alexis Menard (darktears)
: WebExposed
Depends on:
Blocks: 93136
  Show dependency treegraph
 
Reported: 2012-12-12 05:39 PST by Alexis Menard (darktears)
Modified: 2012-12-21 06:52 PST (History)
15 users (show)

See Also:


Attachments
First round for EWS (66.16 KB, patch)
2012-12-14 12:48 PST, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Second round for EWS (66.05 KB, patch)
2012-12-17 04:48 PST, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Patch (89.96 KB, patch)
2012-12-19 09:51 PST, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Menard (darktears) 2012-12-12 05:39:09 PST
Implement the support in the CSS parser and for the computed style.
Comment 1 Alexis Menard (darktears) 2012-12-14 12:48:56 PST
Created attachment 179516 [details]
First round for EWS
Comment 2 Early Warning System Bot 2012-12-14 13:29:05 PST
Comment on attachment 179516 [details]
First round for EWS

Attachment 179516 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/15319763
Comment 3 Early Warning System Bot 2012-12-14 13:32:00 PST
Comment on attachment 179516 [details]
First round for EWS

Attachment 179516 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15310826
Comment 4 Alexis Menard (darktears) 2012-12-17 04:48:46 PST
Created attachment 179719 [details]
Second round for EWS
Comment 5 Alexis Menard (darktears) 2012-12-19 09:51:10 PST
Created attachment 180185 [details]
Patch
Comment 6 Dean Jackson 2012-12-19 09:59:31 PST
Comment on attachment 180185 [details]
Patch

rs=me
Comment 7 Early Warning System Bot 2012-12-19 10:07:00 PST
Comment on attachment 180185 [details]
Patch

Attachment 180185 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15413663
Comment 8 Alexis Menard (darktears) 2012-12-19 10:14:44 PST
(In reply to comment #7)
> (From update of attachment 180185 [details])
> Attachment 180185 [details] did not pass qt-wk2-ews (qt):
> Output: http://queues.webkit.org/results/15413663

The EWS is sick, just like the first time. It seems the incremental build did not really work here.
Comment 9 Alexis Menard (darktears) 2012-12-19 11:37:42 PST
Committed r138184: <http://trac.webkit.org/changeset/138184>
Comment 10 Csaba Osztrogonác 2012-12-20 05:07:34 PST
(In reply to comment #8)
> The EWS is sick, just like the first time. It seems the incremental build did not really work here.

Thanks for the notification, I proposed a fix for it in https://bugs.webkit.org/show_bug.cgi?id=90049
Comment 11 Kent Tamura 2012-12-21 06:29:26 PST
Would you update https://trac.webkit.org/wiki/FeatureFlags please?
Comment 12 Alexis Menard (darktears) 2012-12-21 06:52:05 PST
(In reply to comment #11)
> Would you update https://trac.webkit.org/wiki/FeatureFlags please?

done.